package chatrecords

import (
	"net/http"
	jwtutils "wechat-api/internal/utils/jwt"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/chatrecords"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /gpts/chat/submit chatrecords GptsSubmitApiChat
//
// Create chat records information | 创建ChatRecords
//
// Create chat records information | 创建ChatRecords
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: GptChatReq
//

func GptsSubmitApiChatHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.GptChatReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		tokenStr := jwtutils.StripBearerPrefixFromToken(r.Header.Get("Authorization"))
		l := chatrecords.NewGptsSubmitApiChatLogic(r.Context(), svcCtx)
		l.GptsSubmitApiChat(tokenStr, &req, w)
		//if err != nil {
		//	httpx.ErrorCtx(r.Context(), w, err)
		//} else {
		//	httpx.Ok(w)
		//}
	}
}
